import 'package:diplomaticquarterapp/core/model/feedback/COC_items.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/data_display/text.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:flutter/material.dart';

class FeedbackDetails extends StatelessWidget {
  final COCItem items;

  FeedbackDetails({
    @required this.items,
  });

  @override
  Widget build(BuildContext context) {
    return AppScaffold(
        isShowAppBar: true,
        showNewAppBar: true,
        showNewAppBarTitle: true,
        appBarTitle: TranslationBase.of(context).feedbackTitle,
        body: Container(
            margin: EdgeInsets.all(5),
            padding: EdgeInsets.all(5),
            color: Colors.white,
            child: Table(
                border: TableBorder.all(),
                columnWidths: const <int, TableColumnWidth>{
                  0: IntrinsicColumnWidth(),
                  1: FlexColumnWidth(),
                  2: FixedColumnWidth(64),
                },
                defaultVerticalAlignment: TableCellVerticalAlignment.middle,
                children: <TableRow>[
                  TableRow(
                    children: [
                      getColumnText(TranslationBase.of(context).feedbackTitle),
                      getColumnText(items.cOCTitle)
                    ],
                  ),
                  TableRow(
                    children: [
                      getColumnText(TranslationBase.of(context).complaint),
                      getColumnText(items.cOCID)
                    ],
                  ),
                  TableRow(
                    children: [
                      getColumnText(TranslationBase.of(context).date),
                      getColumnText(items.date)
                    ],
                  ),
                  TableRow(
                    children: [
                      getColumnText(TranslationBase.of(context).type),
                      getColumnText(items.formType)
                    ],
                  )
                ])));
  }

  Widget getColumnText(value) {
    return Container(child: Texts(value), padding: EdgeInsets.all(5));
  }
}
